version: '3'
services:
  nginx-proxy:
    restart: "always"
    ports:
      - "80:80"
      - "443:443"
    labels:
      - com.github.jrcs.letsencrypt_nginx_proxy_companion.nginx_proxy=true
    volumes:
      # - ./data/var/run/docker.sock:/tmp/docker.sock:ro
      - ./data/opt/integreat/dev/usr/share/nginx/html:/usr/share/nginx/html
  database:
    restart: "always"
    ports:
       - "5432:5432"
  datomic-transactor:
    restart: "always"
    environment:
      - DATOMIC_PORT=4334
      - XMS=-Xms4g
      - XMX=-Xmx8g
    ports:
      - 4334:4334
